/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {AlertResponse} from "./alertResponse";

export class AlertPrincipalResponse {
    public id: string;

    public alert: AlertResponse;

    public labels: string[];

    public alertType: string;

    public timeStamp: string;

    /**
     * Creates a AlertPrincipalResponse.
     *
     * @param {string} id
     * @param {AlertResponse} alert
     * @param {string} labels
     * @param {string} alertType
     * @param {string} timeStamp
     */
    constructor(id: string, alert: AlertResponse, labels: string[], alertType: string, timeStamp: string) {
        this.id = id;
        this.alert = alert;
        this.labels = labels;
        this.alertType = alertType;
        this.timeStamp = timeStamp;
    }
}